MSSQL: Add Multipolygon Feature creates wrong geometrytype

2014-07-03 04:46 AM - Jan Lippmann

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Data Provider/MSSQL

Affected QGIS version:3.0.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19174

Description

if i digitise a new multipolygonfeature in a MSSQL-Multipolygonlayer (with avoid intersections of new features) and force intersections

while digitising,

the geometrytype of the new polygon is "Polygon" and not as expected "Multipolygon".

from this moment all other new added "Multipolygons" are "Polygons"

the problem occurs with the mssql provider and qgis 2.2 and 2.4

there are no problems under postgres provider.(oracle provider not tested)

snapping options and multipolygontable connection are in the screenshot

can anybody reproduce this problem?

Associated revisions

Revision 81db0052 - 2018-10-05 10:06 PM - Nyall Dawson

[mssql] Fix single geometry types are added to multi geometry type layers

Fixes #10793

History

#1 - 2014-07-03 05:13 AM - Jan Lippmann

- File multipolygon_problem.7z added

I've added screencast which showing the problem.

#2 - 2014-07-03 05:17 AM - Jürgen Fischer

- Priority changed from High to Normal

#3 - 2015-06-14 04:37 AM - Jürgen Fischer

- Category changed from Digitising to Data Provider/MSSQL

#4 - 2017-05-01 01:08 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No
#5 - 2018-02-18 02:24 PM - Jan Lippmann

this issue is still present in actual master 2.99. please give a feedback, if sample data needed.

#6 - 2018-02-18 09:29 PM - Nyall Dawson

- Description updated

As far as I'm aware no one is working on fixing this bug - if it's critical to you please consider sponsoring a fix or raising discussion on the qgis-dev list.

#7 - 2018-02-25 11:38 PM - Giovanni Manghi

- Subject changed from MSSQL- Add Multipolygon Feature creates wrong geometrytype to MSSQL: Add Multipolygon Feature creates wrong 

geometrytype

- Affected QGIS version changed from 2.4.0 to 3.0.0

#8 - 2018-10-05 08:52 AM - Nyall Dawson

- Status changed from Open to In Progress

- Assignee set to Nyall Dawson

#9 - 2018-10-05 10:05 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|81db0052ff880c5fd535b6f8eb25516212347199.

Files
